<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления файла малого изображения для дополнительного свойства товара.
 * 
 * Файл: /admin/shop/action/delete_small_image_item_property.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$db = & singleton('DataBase');

$shop = & singleton('shop');

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$edit_item_id = to_int($_REQUEST['item_id']);

$tovar_id = to_int($_REQUEST['tovar_id']);

$row = $shop->GetItemPropertyValueById($edit_item_id);

if ($row)
{
	if (is_dir(CMS_FOLDER . UPLOADDIR))
	{		
		$image_file = $row['shop_properties_items_file_small'];
		
		// Путь к большой картинке
		//$fname = CMS_FOLDER . UPLOADDIR . 'shop_' . $shop_shops_id . '/item_catalog_' . $tovar_id . '/' . $image_file;
		
		// Необходимо получить идентификатор товара по идентификатору значения допсвойства товара
		$item_id = $row['shop_items_catalog_item_id'];
		
		$uploaddir = $shop->GetItemDir($item_id);
		
		// Формируем путь к малой картинке по новому стандарту
		$fname = CMS_FOLDER . $uploaddir . $image_file;
		
		// Файл большого изображения существует
		if (is_file($fname))
		{
			// Удаляем Файл большого изображения
			@unlink($fname);			
		}
		
		// Удаляем файл из таблицы
		$query = "UPDATE `shop_properties_items_table`
		SET `shop_properties_items_value_small` = '',
		`shop_properties_items_file_small` = ''
		WHERE `shop_properties_items_id` = '{$edit_item_id}'";
		$DataBase->query($query);

		$query = "DELETE FROM `shop_properties_items_table`
		WHERE `shop_properties_items_value` = ''
		AND `shop_properties_items_value_small` = ''
		AND `shop_properties_items_file` = ''
		AND `shop_properties_items_file_small` = ''
		AND `shop_properties_items_id` = '{$edit_item_id}'";
		$DataBase->query($query);
	}
	else
	{
		show_error_message($GLOBALS['MSG_shops']['error_dir'] . CMS_FOLDER . UPLOADDIR);
	}
}
?>